Bug 479690 - RFE: add time of the run into the phase report.
RFE: add time of the run into the phase report.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ales Zelinka
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 09:42 EST by Zbysek MRAZ
Modified: 2013-07-03 09:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 06:39:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (3.28 KB, patch)
2009-01-15 05:55 EST, Ales Zelinka
no flags Details | Diff

  None (edit)
Description Zbysek MRAZ 2009-01-12 09:42:22 EST
Can the the run time added to the phase report to be shown altogether with metric and log values?

EG.:

/CoreOS/m2crypto/Regression/upstream-tester/Test result: PASS
   metric: 0
   Time: 10m 52s
   Log: /tmp/tmp.IjsZNh4536
   DMesg: /tmp/dmesg.log

For better comparision in performance and comparative testing. And for avoiding using time command within the scripts.
Comment 1 Petr Muller 2009-01-12 09:57:37 EST
The comment you've mocked is a report_result output, it has nothing to do with rhtslib.
I generally like the idea - we can add timestamps to the journal, and put the information in the rlJournalPrintText output. But I would treat it as informative as best - I don't think it is of any use as a performance metric.
Comment 2 Zbysek MRAZ 2009-01-12 10:12:20 EST
General idea was to compare rebased packages in the comparative_workflow run, when you will be able see immediately the run time of both version and compare between each other.
Comment 3 Petr Muller 2009-01-12 10:29:03 EST
It it true that emitting a warn when encountering some significant time raise in rcw could probably do no harm...
Comment 4 Ales Zelinka 2009-01-15 05:55:09 EST
Created attachment 329084 [details]
patch

 - start time and end time of phases stored in journal:

<phase endtime="2009-01-15 11:32:32" name="fazicka" result="PASS" score="0" starttime="2009-01-15 11:32:30" type="FAIL">

 - duration printed as a part of phase summary in rlJournalPrintText:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: fazicka
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'echo abc'
:: [   LOG    ] :: Duration: 2s
:: [   LOG    ] :: Assertions: 1 good, 0 bad
:: [   PASS   ] :: RESULT: fazicka

 - I also took the liberty of replacing datetime module with time in journalling.py to make it work on RHEL3.
Comment 6 Jan Hutař 2010-07-28 06:22:56 EDT
I have just investigated some results and foud this info useful. VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.